include $(CURDIR)/../Makefile.inc

VERSION = 1.9.0

TARGET32 = phantomjs-$(VERSION)-linux-i686.tar.bz2
SOURCE32 = https://phantomjs.googlecode.com/files/phantomjs-$(VERSION)-linux-i686.tar.bz2
TARGET64 = phantomjs-$(VERSION)-linux-x86_64.tar.bz2
SOURCE64 = https://phantomjs.googlecode.com/files/phantomjs-$(VERSION)-linux-x86_64.tar.bz2

all:      download manifest
download: $(PACKAGES)/$(TARGET32) $(PACKAGES)/$(TARGET64)
manifest: $(MANIFESTS)/phantomjs.pp

$(PACKAGES)/$(TARGET32):
	@umask 022; echo $@; \
	test -f $@ || curl -o $@ $(SOURCE32)

$(PACKAGES)/$(TARGET64):
	@umask 022; echo $@; \
	test -f $@ || curl -o $@ $(SOURCE64)

$(MANIFESTS)/phantomjs.pp: $(PACKAGES)/$(TARGET32) $(PACKAGES)/$(TARGET64)
	@umask 022; echo $@; \
	echo '$$phantomjs32_package_latest = "$(TARGET32)"' > $@ && \
	echo '$$phantomjs64_package_latest = "$(TARGET64)"' >> $@
